package org.jeecg.modules.fileupload.mapper;

import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MaterialUsrServiceMapper {

    List<JSONObject> getAccountInfo(@Param("code") String code);

    Integer getKuiShouRelationCount(@Param("accountId") Long accountId, @Param("photoId") String photoId);

    JSONObject getKuiShouRefuseRelationCount(@Param("accountId") Long accountId, @Param("photoId") String photoId);

    List<JSONObject> getByteDanceAccountInfo(String code);

    Integer getByteDanceRelationCount(@Param("accountId") String accountId, @Param("vid") String vid);
}
